RedCrawler API
Scrape V2

Profile Posts V2

Fetch a user's submitted posts. Up to 1250 posts per request.

GET /api/v2/profile/q/posts

Fetch a user's submitted posts. Up to 1250 posts per request.

Query parameters

NameTypeRequiredDescription
usernamestringYesUsername, u/username, or profile URL.
limitstringNoMax posts to return (1-1250). Default: 100. Auto-paginates.
sortstringNoSort order: hot, new, top, controversial. Default: new.
time_filterstringNoTime filter for top/controversial: hour, day, week, month, year, all.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/posts?username=Motor_Tip8865&limit=100&sort=new&time_filter=<time_filter>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/profile/q/posts?username=Motor_Tip8865&limit=100&sort=new&time_filter=<time_filter>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/posts?username=Motor_Tip8865&limit=100&sort=new&time_filter=<time_filter>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "items": [
      {
        "node": {
          "id": "dDNfMXN5dDZ4aQ==",
          "groupId": "t3_1sys4r2",
          "payload": null,
          "adPayload": null,
          "groupRecommendationContext": null,
          "cells": [
            {
              "id": "TWV0YWRhdGFDZWxsLXQzXzFzeXQ2eGk=",
              "createdAt": "2026-04-29T08:53:34.745000+0000",
              "authorName": "u/Motor_Tip8865",
              "color": {},
              "detailsString": "r/test",
              "detailsLink": "test",
              "iconPath": "",
              "iconShape": "ROUND",
              "isJoinButtonShown": true,
              "joinSubredditId": "t5_examples",
              "isOverflowButtonHidden": false,
              "mediaPath": null,
              "mediaDomain": null,
              "isRecommended": false,
              "statusIndicators": [],
              "isBrandAffiliate": false,
              "modUserNoteLabel": null
            },
            {
              "id": "VGl0bGVDZWxsLXQzXzFzeXQ2eGk=",
              "title": "text post",
              "isVisited": false
            },
            "\u2026 (3 more items)"
          ],
          "crosspostCells": [
            {},
            {},
            "\u2026 (3 more items)"
          ]
        }
      },
      {
        "node": {
          "id": "dDNfMXN5c2M3cA==",
          "groupId": "t3_1sys4r2",
          "payload": null,
          "adPayload": null,
          "groupRecommendationContext": null,
          "cells": [
            {
              "id": "TWV0YWRhdGFDZWxsLXQzXzFzeXNjN3A=",
              "createdAt": "2026-04-29T08:02:43.838000+0000",
              "authorName": "u/Motor_Tip8865",
              "color": {},
              "detailsString": "r/test",
              "detailsLink": "test",
              "iconPath": "",
              "iconShape": "ROUND",
              "isJoinButtonShown": true,
              "joinSubredditId": "t5_examples",
              "isOverflowButtonHidden": false,
              "mediaPath": null,
              "mediaDomain": null,
              "isRecommended": false,
              "statusIndicators": [],
              "isBrandAffiliate": false,
              "modUserNoteLabel": null
            },
            {
              "id": "VGl0bGVDZWxsLXQzXzFzeXNjN3A=",
              "title": "Poll post",
              "isVisited": false
            },
            "\u2026 (2 more items)"
          ],
          "crosspostCells": [
            {},
            {},
            "\u2026 (2 more items)"
          ]
        }
      },
      "\u2026 (8 more items)"
    ],
    "count": 10
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:19.387560+00:00"
}

On this page